Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.rules
Class AddAdToPlaceholderActionDef

    java.lang.Object
      com.bea.campaign.action.ActionDef
          com.bea.campaign.rules.AddAdToPlaceholderActionDef

All Implemented Interfaces
  Serializable

    public class AddAdToPlaceholderActionDef

extends ActionDef

An action definition specific to the AddAdToPlaceholderAction.

See Also
  `AddAdToPlaceholderAction`, Serialized Form

Field Summary
`static int` | `HIGH` The "High" weight.
`static int` | `HIGHEST` The "Highest" weight.
`static int` | `LOW` The "Low" weight.
`static int` | `LOWEST` The "Lowest" weight.
`static int` | `MEDIUM` The "Medium" weight (same as NORMAL).
`static int` | `NORMAL` The "Normal" weight.

Constructor Summary
`AddAdToPlaceholderActionDef(Collection placeholders, String weight, ContentQueryNode contentQuery)` Constructor.
`AddAdToPlaceholderActionDef(Collection placeholders, String weight, ContentQueryNode contentQuery, String ttlStr, com.bea.p13n.xml.schema.TimeInstant expireDate)` Constructor.
`AddAdToPlaceholderActionDef(Collection placeholders, String weight, ContentQueryNode contentQuery, String ttlStr, com.bea.p13n.xml.schema.TimeInstant expireDate, String clearingPolicy)` Constructor.
`AddAdToPlaceholderActionDef(String[] placeholders, String weight, ContentQueryNode contentQuery)` Constructor.
`AddAdToPlaceholderActionDef(String[] placeholders, String weight, ContentQueryNode contentQuery, String ttlStr, com.bea.p13n.xml.schema.TimeInstant expireDate)` Constructor.
`AddAdToPlaceholderActionDef(String[] placeholders, String weight, ContentQueryNode contentQuery, String ttlStr, com.bea.p13n.xml.schema.TimeInstant expireDate, String clearingPolicy)` Master constructor.

Method Summary
`static int` | `getWeight(String weight)` Convert the "Highest"..."Lowest" weight string to a 5..1 number.

Methods inherited from class com.bea.campaign.action.ActionDef
`createAction, getActionParams, getActionService, getActionType, setActionParams, setActionType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HIGHEST

    public static final int HIGHEST

  The "Highest" weight.

  See Also
    Constants Summary

### HIGH

    public static final int HIGH

  The "High" weight.

  See Also
    Constants Summary

### NORMAL

    public static final int NORMAL

  The "Normal" weight.

  See Also
    Constants Summary

### MEDIUM

    public static final int MEDIUM

  The "Medium" weight (same as NORMAL).

  See Also
    Constants Summary

### LOW

    public static final int LOW

  The "Low" weight.

  See Also
    Constants Summary

### LOWEST

    public static final int LOWEST

  The "Lowest" weight.

  See Also
    Constants Summary

Constructor Detail

### AddAdToPlaceholderActionDef

    public AddAdToPlaceholderActionDef(Collection placeholders,
                                       String weight,
                                       ContentQueryNode contentQuery)

  Constructor.

  Parameters
    `placeholders` - the list of placeholder names (Strings).
    `weight` - the ad query weight (Higest, High, Normal, Low, Lowest).
    `contentQuery` - the content query node.

### AddAdToPlaceholderActionDef

    public AddAdToPlaceholderActionDef(String[] placeholders,
                                       String weight,
                                       ContentQueryNode contentQuery)

  Constructor.

  Parameters
    `placeholders` - the array of placeholder names (Strings).
    `weight` - the ad query weight (Higest, High, Normal, Low, Lowest).
    `contentQuery` - the content query node.

### AddAdToPlaceholderActionDef

    public AddAdToPlaceholderActionDef(String[] placeholders,
                                       String weight,
                                       ContentQueryNode contentQuery,
                                       String ttlStr,
                                       com.bea.p13n.xml.schema.TimeInstant expireDate)

  Constructor.

  Parameters
    `placeholders` - the array of placeholder names (Strings).
    `weight` - the ad query weight (Higest, High, Normal, Low, Lowest).
    `contentQuery` - the content query node.
    `ttlStr` - the time-to-live for the ad query (in "[days]:[hours]:[minutes]" format, null for none).
    `expireDate` - the absoluate expiration date for the ad query (null for none).

### AddAdToPlaceholderActionDef

    public AddAdToPlaceholderActionDef(Collection placeholders,
                                       String weight,
                                       ContentQueryNode contentQuery,
                                       String ttlStr,
                                       com.bea.p13n.xml.schema.TimeInstant expireDate)

  Constructor.

  Parameters
    `placeholders` - the collection of placeholder names (Strings).
    `weight` - the ad query weight (Higest, High, Normal, Low, Lowest).
    `contentQuery` - the content query node.
    `ttlStr` - the time-to-live for the ad query (in "[days]:[hours]:[minutes]" format, null for none).
    `expireDate` - the absoluate expiration date for the ad query (null for none).

### AddAdToPlaceholderActionDef

    public AddAdToPlaceholderActionDef(String[] placeholders,
                                       String weight,
                                       ContentQueryNode contentQuery,
                                       String ttlStr,
                                       com.bea.p13n.xml.schema.TimeInstant expireDate,
                                       String clearingPolicy)

  Master constructor.

  Parameters
    `placeholders` - the array of placeholder names (Strings).
    `weight` - the ad query weight (Higest, High, Normal, Low, Lowest).
    `contentQuery` - the content query node.
    `ttlStr` - the time-to-live for the ad query (in "[days]:[hours]:[minutes]" format, null for none).
    `expireDate` - the absoluate expiration date for the ad query (null for none).
    `clearingPolicy` - the clearing policy (either "campaign", "all", or anything else for none).

### AddAdToPlaceholderActionDef

    public AddAdToPlaceholderActionDef(Collection placeholders,
                                       String weight,
                                       ContentQueryNode contentQuery,
                                       String ttlStr,
                                       com.bea.p13n.xml.schema.TimeInstant expireDate,
                                       String clearingPolicy)

  Constructor.

  Parameters
    `placeholders` - the collection of placeholder names (Strings).
    `weight` - the ad query weight (Higest, High, Normal, Low, Lowest).
    `contentQuery` - the content query node.
    `ttlStr` - the time-to-live for the ad query (in "[days]:[hours]:[minutes]" format, null for none).
    `expireDate` - the absoluate expiration date for the ad query (null for none).
    `clearingPolicy` - the clearing policy (either "campaign", "all", or anything else for none).

Method Detail

### getWeight

    public static int getWeight(String weight)

  Convert the "Highest"..."Lowest" weight string to a 5..1 number.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.